%define upstream_name    Pod-Parser
%define upstream_version 1.61

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Base class for parsing pod documents
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(Test::More) >= 0.600.0
BuildArch:  noarch

%description
*Pod::Find* provides a set of functions to locate POD files. Note that no
function is exported by default to avoid pollution of your namespace, so be
sure to specify them in the *use* statement if you need them:

  use Pod::Find qw(pod_find);

From this version on the typical SCM (software configuration management)
files/directories like RCS, CVS, SCCS, .svn are ignored.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std
for i in %{buildroot}/%{_bindir}/*; do mv $i $i-%{upstream_version}; done

%files
%doc ANNOUNCE CHANGES META.yml MYMETA.yml README TODO
%{_bindir}/*
%{_mandir}/man*/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.610.0-2.mga4
+ Revision: 526276
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 1.610.0-1.mga4
+ Revision: 436454
- update to 1.61

* Wed Mar 27 2013 jquelin <jquelin> 1.510.0-4.mga3
+ Revision: 405536
- perl 5.16.3 rebuild

* Wed Mar 27 2013 jquelin <jquelin> 1.510.0-3.mga3
+ Revision: 405520
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.510.0-2.mga3
+ Revision: 371953
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 jquelin <jquelin> 1.510.0-1.mga3
+ Revision: 301400
- imported package perl-Pod-Parser


* Mon Oct 01 2012 cpan2dist 1.51-1mga
- initial mageia release, generated with cpan2dist
